HOSTADDR(1)

NAME
hostaddr - show ethernet address, IP address or hostname

SYNOPSIS
hostaddr [-eiah] [-E eth-device] [-I ip-device]

DESCRIPTION
Without any of the -eia options, hostaddr shows the ethernet address, IP address and hostname of the local host on one line in the given order. With options only the wanted fields are shown, still in the same order, not in option order.

OPTIONS

-e  Show the ethernet address.

-i  Show the IP address.

-a  Show the fully qualified hostname. The IP address is shown if it can't be translated to a host name. This usually indicates that the DNS reverse address translation tables are incomplete or that the name daemon couldn't be contacted.

-h  Set the hostname of the machine if the caller is the superuser. (Used at boot time by the network initialization scripts.)

SEE ALSO
ifconfig(8), dhcpd(8), nonamed(8), inet(8), boot(8).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)